CMSIS DSP Software Library: arm_class_marks_example_f32.c File Reference

Defines | Functions | Variables

# arm_class_marks_example_f32.c File Reference

`#include "arm_math.h"`

Go to the source code of this file.

## Defines

#define | USE_STATIC_INIT
#define | TEST_LENGTH_SAMPLES (20*4)
#define | NUMSTUDENTS 20
#define | NUMSUBJECTS 4

## Functions

int32_t | main ()

## Variables

const float32_t | testMarks_f32 [TEST_LENGTH_SAMPLES]
const float32_t | testUnity_f32 [4]
static float32_t | testOutput [TEST_LENGTH_SAMPLES]
uint32_t | numStudents = 20
uint32_t | numSubjects = 4
float32_t | max_marks
float32_t | min_marks
float32_t | mean
float32_t | std
float32_t | var
uint32_t | student_num

## Define Documentation

#define USE_STATIC_INIT

Definition at line 69 of file arm_class_marks_example_f32.c.

#define TEST_LENGTH_SAMPLES (20*4)

Examples:
  arm_class_marks_example_f32.c, arm_fft_bin_example_f32.c, arm_fir_example_f32.c, arm_linear_interp_example_f32.c, and arm_signal_converge_example_f32.c.

Definition at line 75 of file arm_class_marks_example_f32.c.

#define NUMSTUDENTS 20

Examples:
  arm_class_marks_example_f32.c.

Definition at line 123 of file arm_class_marks_example_f32.c.

#define NUMSUBJECTS 4

Examples:
  arm_class_marks_example_f32.c.

Definition at line 124 of file arm_class_marks_example_f32.c.

## Function Documentation

int32_t main | ( | void | ) |

Examples:
  arm_class_marks_example_f32.c, arm_convolution_example_f32.c, arm_dotproduct_example_f32.c, arm_fft_bin_example_f32.c, arm_fir_example_f32.c, arm_graphic_equalizer_example_q31.c, arm_linear_interp_example_f32.c, arm_matrix_example_f32.c, arm_signal_converge_example_f32.c, arm_sin_cos_example_f32.c, and arm_variance_example_f32.c.

Definition at line 139 of file arm_class_marks_example_f32.c.

## Variable Documentation

const float32_t testMarks_f32[TEST_LENGTH_SAMPLES]

Initial value:

    {
        42.000000,  37.000000,  81.000000,  28.000000,
        83.000000,  72.000000,  36.000000,  38.000000,
        32.000000,  51.000000,  63.000000,  64.000000,
        97.000000,  82.000000,  95.000000,  90.000000,
        66.000000,  51.000000,  54.000000,  42.000000,
        67.000000,  56.000000,  45.000000,  57.000000,
        67.000000,  69.000000,  35.000000,  52.000000,
        29.000000,  81.000000,  58.000000,  47.000000,
        38.000000,  76.000000,  100.000000, 29.000000,
        33.000000,  47.000000,  29.000000,  50.000000,
        34.000000,  41.000000,  61.000000,  46.000000,
        52.000000,  50.000000,  48.000000,  36.000000,
        47.000000,  55.000000,  44.000000,  40.000000,
        100.000000, 94.000000,  84.000000,  37.000000,
        32.000000,  71.000000,  47.000000,  77.000000,
        31.000000,  50.000000,  49.000000,  35.000000,
        63.000000,  67.000000,  40.000000,  31.000000,
        29.000000,  68.000000,  61.000000,  38.000000,
        31.000000,  28.000000,  28.000000,  76.000000,
        55.000000,  33.000000,  29.000000,  39.000000
    }

Examples:
  arm_class_marks_example_f32.c.

Definition at line 80 of file arm_class_marks_example_f32.c.

const float32_t testUnity_f32[4]

Initial value:

    {
        1.000,  1.000,  1.000,  1.000
    }

Examples:
  arm_class_marks_example_f32.c.

Definition at line 108 of file arm_class_marks_example_f32.c.

float32_t testOutput[TEST_LENGTH_SAMPLES]`[static]`

Examples:
  arm_class_marks_example_f32.c, arm_dotproduct_example_f32.c, arm_fft_bin_example_f32.c, arm_fir_example_f32.c, arm_graphic_equalizer_example_q31.c, arm_linear_interp_example_f32.c, and arm_sin_cos_example_f32.c.

Definition at line 117 of file arm_class_marks_example_f32.c.

uint32_t numStudents = 20

Examples:
  arm_class_marks_example_f32.c.

Definition at line 130 of file arm_class_marks_example_f32.c.

uint32_t numSubjects = 4

Examples:
  arm_class_marks_example_f32.c.

Definition at line 131 of file arm_class_marks_example_f32.c.

float32_t max_marks

Examples:
  arm_class_marks_example_f32.c.

Definition at line 132 of file arm_class_marks_example_f32.c.

float32_t min_marks

Examples:
  arm_class_marks_example_f32.c.

Definition at line 132 of file arm_class_marks_example_f32.c.

float32_t mean

Examples:
  arm_class_marks_example_f32.c, and arm_variance_example_f32.c.

Definition at line 132 of file arm_class_marks_example_f32.c.

float32_t std

Examples:
  arm_class_marks_example_f32.c.

Definition at line 132 of file arm_class_marks_example_f32.c.

float32_t var

Examples:
  arm_class_marks_example_f32.c.

Definition at line 132 of file arm_class_marks_example_f32.c.

uint32_t student_num

Examples:
  arm_class_marks_example_f32.c.

Definition at line 133 of file arm_class_marks_example_f32.c.

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Defines